#   File:       Makefile
#   Target:     grep
#   Sources:    alloca.a dfa.c getopt.c grep.c grep.r regex.c
#   Created:    Tue, Mar 21, 1989 7:29:14 PM

COptions = -D USG -w

alloca.a.o 	 Makefile alloca.a
	 Asm  alloca.a
dfa.c.o 	 Makefile dfa.c
	 C  {COptions} dfa.c
getopt.c.o 	 Makefile getopt.c
	 C  {COptions} getopt.c
grep.c.o 	 Makefile grep.c
	 C  {COptions} grep.c
egrep.c.o	 Makefile grep.c
	 C  {COptions} -D EGREP -o egrep.c.o grep.c
regex.c.o 	 Makefile regex.c
	 C  {COptions} regex.c

grep 		 Makefile grep.r
	Rez grep.r -append -o grep

egrep 		 Makefile grep.r
	Rez grep.r -append -o egrep

SOURCES 	= alloca.a dfa.c getopt.c grep.c grep.r regex.c

OBJECTS 	= alloca.a.o dfa.c.o getopt.c.o grep.c.o regex.c.o
EOBJECTS 	= alloca.a.o dfa.c.o getopt.c.o egrep.c.o regex.c.o

all		 grep egrep

grep  Makefile {OBJECTS}
	Link -w -c 'MPS ' -t MPST 
		{OBJECTS} 
		"{Libraries}"stubs.o 
		"{CLibraries}"CRuntime.o 
		"{Libraries}"Interface.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CInterface.o 
		"{Libraries}"ToolLibs.o 
		-o grep

egrep  Makefile {EOBJECTS}
	Link -w -c 'MPS ' -t MPST 
		{EOBJECTS} 
		"{Libraries}"stubs.o 
		"{CLibraries}"CRuntime.o 
		"{Libraries}"Interface.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CInterface.o 
		"{Libraries}"ToolLibs.o 
		-o egrep

clean	
	delete -y .o