/***************

Resource description file for GNU e?grep 1.3

This tool supports commando (really!).

The MPW C 3.0 port done 3/20/89 by David D Zuhn
  MOO!

 1988 Free Software Foundation.

Even though they don't like Mac, I do. TS.

*****************/


#include	"SysTypes.r"
#include	"Cmdo.r"


resource 'vers' (1)
	{
	0x01, 0x03, release, 0x00, verUS,
	"1.3",
	"e?grep 1.3 by Mike Haertel\n 1988 Free Software Foundation"
	};
	
resource 'vers' (2)
	{
	0x01, 0x00, development, 0x01, verUS,
	"1.0d",
	"GNU Software for Macintosh"
	};



resource 'cmdo' (128)
	{
	{
	290,
	"Print lines matching a regular expression",
		{
		And { {-2, -3, -4, -6, -7, -8} },
		CheckOption
			{
			NotSet, {120, 25, 136, 200}, "Silent (No Output)", "-s",
				"Run silently producing no output except error messages."
			},
		Or { {-1} },
		CheckOption
			{
			NotSet, {135, 25, 151, 200}, "Print total count only", "-c",
				"Print a total count of matching lines only."
			},
		And { {-1, -4} },
		CheckOption
			{
			NotSet, {150, 25, 166, 200}, "No filename display", "-h",
				"Don't display filenames on matches."
				"This disables the -l option (Filenames only)."
			},
		And { {-1, -3} },
		CheckOption
			{
			notSet, {165, 25, 181, 200}, "Filenames only", "-l",
				"List files containing matches only."
				"This disables the -h option (No filename display)."
			},
		NotDependent { },
		CheckOption
			{
			notSet, {120, 200, 136, 335}, "Ignore case", "-i",
				"Ignore case difference when comparing strings."
			},
		Or { {-1} },
		CheckOption
			{
			notSet, {135, 200, 151, 335},  "Print byte offset", "-b",
				"Print every match preceded by its byte offset."
			},
		Or { {-1} },
		CheckOption
			{
			notSet, {150, 200, 166, 340},  "Print line numbers", "-n",
				"Print each match preceded by its line number."
			},
		Or { {-1} },
		CheckOption
			{
			notSet, {165, 200, 181, 343},  "Print non-matches", "-v",
				"Print only lines that contain no matches for the regular expression."
			},
		NotDependent { },
		TextBox
			{
			gray,
			{110, 20, 182, 345},
			"Options"
			},
		NotDependent { },
		RegularEntry
			{
			"Regular Expression",
			{24, 20, 40, 150},
			{24, 157, 40, 439},
			"",
			ignoreCase,
			"",
			"This regexp style regular expression will be searched for in the input stream"
			},
		NotDependent { },
		RadioButtons
			{
				{
				{60, 20, 75, 162}, "Files to search...", "", Set, 
					"Input a list of one or more files.  Standard input is not used in this case.",
				{60, 213, 75, 353}, "Redirect Standard", "", NotSet, 
					"If the standard input file is used, then a list of files is not allowed.  "
					"The output is always written to standard output."
				}
			},
		Or { {(1<<12)+11} },
		MultiFiles
			{
			"Click for list...",
			"Input source file. A list of one or more TEXT files.",
			{76, 30, 95, 138},
			"Source file(s) to entab:",
			"",
			MultiInputFiles
				{
				{text},
				"",
				"",
				""
				}
			},
		Or { {(2<<12)+11} },
		Redirection 
			{
			StandardInput,
			{60, 353}
			},
		NotDependent { },
		Redirection
			{
			StandardOutput,
			{99, 353}
			},
		NotDependent { },
		Redirection
			{
			DiagnosticOutput,
			{138, 353}
			},
			/* [17] */
		NotDependent { },
		Box
			{
			black,
			{52, 27, 58, 28}
			},
		NotDependent { },
		Box
			{
			black,
			{52, 220, 58, 221}
			},
		NotDependent { },
		Box
			{
			black,
			{52, 27, 53, 220}
			},
		Or { {10} },
		DoItButton { }
		}
	}
	};
	
	
	
	